# Uses of Enum Class
org.eclipse.emf.cdo.server.db.evolution.phased.PhasedModelEvolutionSupport.Mode

Packages that use PhasedModelEvolutionSupport.Mode
Package
Description
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.

## Uses of PhasedModelEvolutionSupport.Mode in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return PhasedModelEvolutionSupport.Mode
Modifier and Type
Method
Description
`PhasedModelEvolutionSupport.Mode`
PhasedModelEvolutionSupport.`getMode()`
Returns the model evolution mode.
`static PhasedModelEvolutionSupport.Mode`
PhasedModelEvolutionSupport.Mode.`parse(String str)`
Parses the given string into a Mode.
`static PhasedModelEvolutionSupport.Mode`
PhasedModelEvolutionSupport.Mode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PhasedModelEvolutionSupport.Mode[]`
PhasedModelEvolutionSupport.Mode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type PhasedModelEvolutionSupport.Mode
Modifier and Type
Method
Description
`void`
PhasedModelEvolutionSupport.`setMode(PhasedModelEvolutionSupport.Mode mode)`
Sets the model evolution mode.